import createStore from '@zjxpcyc/vue-tiny-store';
import { ref } from 'vue';
import { getRank } from '@/service/rank';
import { transform } from '@/utils/coordinate';

function useUser() {
  const user = ref()

  const setUser = u => user.value = u;

  return {
    user,
    setUser,
  }
}

function useRank() {
  const list = ref([])

  const getList = () => {
    return getRank({ pageNum: 1, pageSize: 500, type: 'area' }).then(res => {
      const { records = [] } = res;
      list.value = records.map(x => ({ ...x, location: transform(x.location) }));
    })
  }

  return {
    list,
    getList,
  }
}

const store = createStore({ user: useUser, rank: useRank })
export default store
